Loading...
Searching...
No Matches
minimiser_hash.hpp File Reference

Provides seqan3::views::minimiser_hash. More...

`#include <seqan3/alphabet/views/complement.hpp>`
`#include <seqan3/core/detail/strong_type.hpp>`
`#include <seqan3/search/views/kmer_hash.hpp>`
`#include <seqan3/search/views/minimiser.hpp>`
Include dependency graph for minimiser_hash.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

struct | seqan3::seed
| strong_type for seed. More...
struct | seqan3::window_size
| strong_type for the window_size. More...

## Namespaces

namespace | seqan3
| The main SeqAn3 namespace.
namespace | seqan3::views
| The SeqAn namespace for views.

## Variables

Alphabet related views
constexpr auto | seqan3::views::minimiser_hash
| Computes minimisers for a range with a given shape, window size and seed.

## Detailed Description

Provides seqan3::views::minimiser_hash.

Author
  Mitra Darvish <mitra.darvish AT fu-berlin.de>

Hide me